Dist::Zilla::Plugin::UploadToCPAN(3)

NAME
Dist::Zilla::Plugin::UploadToCPAN - upload the dist to CPAN

VERSION
version 4.300016

SYNOPSIS
If loaded, this plugin will allow the release command to upload to the CPAN.

DESCRIPTION
This plugin looks for configuration in your "dist.ini" or (more likely) "~/.dzil/config.ini":

  [%PAUSE]
  username = YOUR-PAUSE-ID
  password = YOUR-PAUSE-PASSWORD

If this configuration does not exist, it can read the configuration from "~/.pause", in the same format that cpan-upload requires:

  user YOUR-PAUSE-ID
  password YOUR-PAUSE-PASSWORD

If neither configuration exists, it will prompt you to enter your username and password during the BeforeRelease phase. Entering a blank username or password will abort the release.

ATTRIBUTES

  username
This option supplies the user's PAUSE username. If not supplied, it will be looked for in the user's PAUSE configuration.

  password
This option supplies the user's PAUSE password. If not supplied, it will be looked for in the user's PAUSE configuration.

  pause_cfg
This is a hashref of defaults loaded from ~/.pause -- this attribute is subject to removal in future versions, as the config-loading behavior in CPAN::Uploader is improved.

  subdir
If given, this specifies a subdirectory under the user's home directory to which to upload. Using this option is not recommended.

  upload_uri
If given, this specifies an alternate URI for the PAUSE upload form. By default, the default supplied by CPAN::Uploader is used. Using this option is not recommended in most cases.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.